import request from '@/utils/request'
import { PageType, StrAnyObj } from '@/typings'

// 公司信息分页
export function getPageApi(params: StrAnyObj): Promise<PageType<StrAnyObj>> {
  return request.get('/corporation/getPage', params)
}

// 公司信息明细
export function getDetailApi(params: StrAnyObj): Promise<StrAnyObj> {
  return request.get('/corporation/getDetail', params)
}

// 公司信息新增
export function addApi(data: StrAnyObj): Promise<void> {
  return request.post('/corporation/add', data)
}

// 公司信息编辑
export function editApi(data: StrAnyObj): Promise<void> {
  return request.post('/corporation/edit', data)
}

// 公司信息删除
export function deleteApi(data: StrAnyObj): Promise<void> {
  return request.post('/corporation/delete', data)
}
